# Visualization
TKV3d
Prs3d

# Prs3d_Root Class Reference

A root class for the standard presentation algorithms
of the StdPrs package.
.

`#include <Prs3d_Root.hxx>`

Inheritance diagram for Prs3d_Root:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_Graphic3d_Group | CurrentGroup (const Handle(Prs3d_Presentation)&Prs3d)
| Returns the current group of primititves inside graphic objects in the display. A group also contains the attributes whose ranges are limited to the primitives in it. .
static Standard_EXPORT Handle_Graphic3d_Group | NewGroup (const Handle(Prs3d_Presentation)&Prs3d)
| Returns the new group of primitives inside graphic objects in the display. A group also contains the attributes whose ranges are limited to the primitives in it. .

## Member Function Documentation

static Standard_EXPORT Handle_Graphic3d_Group Prs3d_Root::CurrentGroup | ( | const Handle(Prs3d_Presentation)& | Prs3d | ) | `[static]`

static Standard_EXPORT Handle_Graphic3d_Group Prs3d_Root::NewGroup | ( | const Handle(Prs3d_Presentation)& | Prs3d | ) | `[static]`

void Prs3d_Root::operator delete | ( | void * | anAddress | ) | `[inline]`

Reimplemented in DsgPrs_DatumPrs, Prs3d_AnglePresentation, Prs3d_Arrow, Prs3d_LengthPresentation, Prs3d_Text, StdPrs_Curve, StdPrs_DeflectionCurve, StdPrs_HLRPolyShape, StdPrs_HLRShape, StdPrs_Plane, StdPrs_Point, StdPrs_PoleCurve, StdPrs_ShadedPoleSurface, StdPrs_ShadedShape, StdPrs_ShadedSurface, StdPrs_Vertex, StdPrs_WFDeflectionRestrictedFace, StdPrs_WFDeflectionShape, StdPrs_WFDeflectionSurface, StdPrs_WFPoleSurface, StdPrs_WFRestrictedFace, StdPrs_WFShape, and StdPrs_WFSurface.

void* Prs3d_Root::operator new | ( | size_t | size | ) | `[inline]`

Reimplemented in DsgPrs_DatumPrs, Prs3d_AnglePresentation, Prs3d_Arrow, Prs3d_LengthPresentation, Prs3d_Text, StdPrs_Curve, StdPrs_DeflectionCurve, StdPrs_HLRPolyShape, StdPrs_HLRShape, StdPrs_Plane, StdPrs_Point, StdPrs_PoleCurve, StdPrs_ShadedPoleSurface, StdPrs_ShadedShape, StdPrs_ShadedSurface, StdPrs_Vertex, StdPrs_WFDeflectionRestrictedFace, StdPrs_WFDeflectionShape, StdPrs_WFDeflectionSurface, StdPrs_WFPoleSurface, StdPrs_WFRestrictedFace, StdPrs_WFShape, and StdPrs_WFSurface.

void* Prs3d_Root::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Reimplemented in DsgPrs_DatumPrs, Prs3d_AnglePresentation, Prs3d_Arrow, Prs3d_LengthPresentation, Prs3d_Text, StdPrs_Curve, StdPrs_DeflectionCurve, StdPrs_HLRPolyShape, StdPrs_HLRShape, StdPrs_Plane, StdPrs_Point, StdPrs_PoleCurve, StdPrs_ShadedPoleSurface, StdPrs_ShadedShape, StdPrs_ShadedSurface, StdPrs_Vertex, StdPrs_WFDeflectionRestrictedFace, StdPrs_WFDeflectionShape, StdPrs_WFDeflectionSurface, StdPrs_WFPoleSurface, StdPrs_WFRestrictedFace, StdPrs_WFShape, and StdPrs_WFSurface.

The documentation for this class was generated from the following file:

- Prs3d_Root.hxx